## vows 0.2-0

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise semiparametrics
Version: 0.2-0
Date: 2012-09-06
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, and Lan Huo
Maintainer: Lan Huo <lan.huo@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4, RLRsim, Rniftilib, rpanel, shape,
        stringr, tcltk, tkrplot
Description: Parametric and semiparametric inference for massively
        parallel models, i.e., a large number of models with common
        design matrix, as often occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2012-09-07 15:05:57 UTC; lanhuo
Repository: CRAN
Date/Publication: 2012-09-07 15:39:34

## vows 0.2-1

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise semiparametrics
Version: 0.2-1
Date: 2013-03-22
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, and Lan Huo
Maintainer: Lan Huo <lan.huo@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4, RLRsim, Rniftilib, rpanel (>=
        1.1-1), shape, stringr, tcltk, tkrplot
Description: Parametric and semiparametric inference for massively
        parallel models, i.e., a large number of models with common
        design matrix, as often occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2013-03-22 19:06:57 UTC; lanhuo
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-03-22 20:14:38

## vows 0.3

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise semiparametrics
Version: 0.3
Date: 2014-08-28
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, Lan Huo, and Ruixin Tan
Maintainer: Philip Reiss <phil.reiss@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4, rpanel (>= 1.1-1)
Imports: mgcv, RLRsim, Rniftilib, shape, stringr
Description: Parametric and semiparametric inference for massively parallel
    models, i.e., a large number of models with common design matrix, as often
    occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2014-08-28 15:07:17 UTC; reissp01
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-08-29 08:49:06

## vows 0.3.1

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise semiparametrics
Version: 0.3.1
Date: 2014-08-28
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, Lan Huo, and Ruixin Tan
Maintainer: Philip Reiss <phil.reiss@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4, rpanel (>= 1.1-1)
Imports: mgcv, RLRsim,shape, stringr
Suggests: Rniftilib
Description: Parametric and semiparametric inference for massively parallel
    models, i.e., a large number of models with common design matrix, as often
    occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2015-01-08 19:07:47 UTC; ripley
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-01-08 20:10:34

## vows 0.4

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise Semiparametrics
Version: 0.4
Date: 2015-01-07
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, Lan Huo, Ruixin Tan, and Rong Jiao
Maintainer: Philip Reiss <phil.reiss@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4, rpanel (>= 1.1-1)
Imports: mgcv, RLRsim, oro.nifti, shape, stringr
Description: Parametric and semiparametric inference for massively parallel
    models, i.e., a large number of models with common design matrix, as often
    occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2015-02-12 20:17:15 UTC; jiaorong007
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-02-12 22:19:22

## vows 0.5

=== DESCRIPTION ===
Package: vows
Type: Package
Title: Voxelwise Semiparametrics
Version: 0.5
Date: 2016-08-21
Author: Philip Reiss, Yin-Hsiu Chen, Lei Huang, Lan Huo, Ruixin Tan, and Rong
    Jiao
Maintainer: Philip Reiss <phil.reiss@nyumc.org>
Depends: R (>= 2.9.0), fda, gamm4
Imports: mgcv, RLRsim, oro.nifti, shape, stringr
Description: Parametric and semiparametric inference for massively parallel
    models, i.e., a large number of models with common design matrix, as often
    occurs with brain imaging data.
License: GPL (>= 2)
LazyLoad: yes
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-08-21 10:07:43 UTC; reissp01
Repository: CRAN
Date/Publication: 2016-08-21 12:22:51

## vows 0.5.8+20110312

=== debian/changelog ===
vows (0.5.8+20110312-1) unstable; urgency=low

  * New snapshot of upstream git.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Update copyright file:
    + Bump format to draft 173 of DEP5.
    + Fix use wildcard Files section (not header section).
  * Tidy dependency hint (use >= not > ), thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Mar 2011 21:32:18 +0100

vows (0.5.3+398443-3) experimental; urgency=low

  * Fix install in root libdir.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 00:19:20 +0100

vows (0.5.3+398443-2) experimental; urgency=low

  * Hardcode upstream version in main library file (instead of looking
    up in non-shipped package.json file).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 23:51:43 +0100

vows (0.5.3+398443-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611378.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 17:39:11 +0100

=== debian/control ===
Source: vows
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 nodejs,
 libnode-eyes
Standards-Version: 3.9.1
Homepage: http://vowsjs.org/
Vcs-Git: git://git.debian.org/git/collab-maint/vows
Vcs-Browser: http://git.debian.org/?p=collab-maint/vows.git

Package: libnode-vows
Architecture: all
Depends:  ${misc:Depends},
 libnode-eyes,
 nodejs (>= 0.2.6)
Recommends: coffeescript
Description: asynchronous BDD & continuous integration for Node
 Node is an event-based server-side JavaScript engine.
 .
 Vows is a behavior driven development (BDD) framework for Node.
 .
 Vows was built from the ground up to test asynchronous code.  It
 executes your tests in parallel when it makes sense, and sequentially
 when there are dependencies.
 .
 Emphasis was put on speed of execution, clarity and user experience.
 .
 This package contains the vows library for Node, and the script vows
 for running tests from the commandline.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Vows
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CDBS_BUILD_DEPENDS += , nodejs, libnode-eyes

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/vows/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
#DEB_UPSTREAM_TARBALL_MD5 = 

DEB_INSTALL_DOCS_ALL += README.md

build/libnode-vows::
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/vows test/*)

# Hardcode upstream version in main library file
verfile=lib/vows.js
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	mkdir -p debian/bak/$(dir $(verfile))
	[ ! -e $(verfile) ] || [ -e debian/bak/$(verfile) ] || cp $(verfile) debian/bak/$(verfile)
	perl -0 -i -pe 's/(\nvows\.version =).*\n {28}.*/$$1 "$(DEB_UPSTREAM_VERSION)"/' $(verfile)
	touch $@
clean::
	[ ! -e debian/bak/$(verfile) ] || mv -f debian/bak/$(verfile) $(verfile)
	rm -rf debian/bak
	rm -f debian/stamp-upstreamtmpstuff

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=cloudhead&project=vows .*/v(\d.*).tar.gz

## vows 0.6.0

=== debian/changelog ===
vows (0.6.0-2) unstable; urgency=low

  * Improve regex for hardcoding at build time the version, and add
    check so build fail if regex fails to apply.
    Closes: bug#650552. Thanks to Aaron M. Ucko.
  * Drop obsolete libnode-eyes fallback (build-)dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 17:31:54 +0700

vows (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Bump copyright file format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump debhelper compatibility level to 7.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * (Build-)depend on node-eyes favored over legacy package name
    libnode-eyes.
  * Rename libnode-vows → node-vows. Replace and conflict with (and
    temporarily provide) old package name.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2011 22:33:24 +0700

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  nodejs,
- libnode-eyes
-Standards-Version: 3.9.1
+ node-eyes
+Standards-Version: 3.9.2
 Homepage: http://vowsjs.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/vows
 Vcs-Browser: http://git.debian.org/?p=collab-maint/vows.git
 
-Package: libnode-vows
+Package: node-vows
 Architecture: all
 Depends:  ${misc:Depends},
- libnode-eyes,
+ node-eyes,
  nodejs (>= 0.2.6)
 Recommends: coffeescript
+Conflicts: libnode-vows
+Replaces: libnode-vows
+Provides: libnode-vows
 Description: asynchronous BDD & continuous integration for Node
  Node is an event-based server-side JavaScript engine.
  .

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-CDBS_BUILD_DEPENDS += , nodejs, libnode-eyes
+libpkgname = node-vows
+
+CDBS_BUILD_DEPENDS += , nodejs, node-eyes
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -29,12 +31,16 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/vows/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-#DEB_UPSTREAM_TARBALL_MD5 = 
+DEB_UPSTREAM_TARBALL_MD5 = 14b65a07094fef4c6a71c27f3f9e216d
 
 DEB_INSTALL_DOCS_ALL += README.md
 
-build/libnode-vows::
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,bin/vows test/*)
+build/$(libpkgname)::
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,find test -type f -name '*.js' -not -name failing.js -exec bin/vows '{}' +)
+
+# Fix use system-wide library
+post-install/$(libpkgname)::
+	perl -i -pe "s,require('\.\./lib/vows,require('vows,g" $(cdbs_curdestdir)/usr/bin/vows
 
 # Hardcode upstream version in main library file
 verfile=lib/vows.js
@@ -42,7 +48,11 @@
 debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
 	mkdir -p debian/bak/$(dir $(verfile))
 	[ ! -e $(verfile) ] || [ -e debian/bak/$(verfile) ] || cp $(verfile) debian/bak/$(verfile)
-	perl -0 -i -pe 's/(\nvows\.version =).*\n {28}.*/$$1 "$(DEB_UPSTREAM_VERSION)"/' $(verfile)
+	perl -0 -i -pe 's/(\nvows\.version =)[^\n]*(\n {14}[^\n]*)+/$$1 "$(DEB_UPSTREAM_VERSION)"/' $(verfile)
+	@if ! fgrep -xq 'vows.version = "$(DEB_UPSTREAM_VERSION)"' $(verfile); then \
+		echo "Failed to hardcode version."; \
+		exit 1; \
+	fi
 	touch $@
 clean::
 	[ ! -e debian/bak/$(verfile) ] || mv -f debian/bak/$(verfile) $(verfile)

## vows 0.6.1

=== debian/changelog ===
vows (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Jan 2012 19:55:38 +0100

vows (0.6.0-4) unstable; urgency=low

  * Fix (properly this time) use system-wide library in binary:
    Apply standard patch to source (not custom Perl hackery to installed
    file) and set custom NODE_PATH during build.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 18:20:27 +0700

vows (0.6.0-3) unstable; urgency=low

  * Fix relax regex to use system-wide library in binary.
    Really closes: bug#650552.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2011 20:45:06 +0700

=== debian/rules ===
--- 
+++ 
@@ -31,16 +31,12 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/vows/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 14b65a07094fef4c6a71c27f3f9e216d
+DEB_UPSTREAM_TARBALL_MD5 = 83b79d32fdba6ef88ce74c1c1d0c361e
 
 DEB_INSTALL_DOCS_ALL += README.md
 
 build/$(libpkgname)::
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,find test -type f -name '*.js' -not -name failing.js -exec bin/vows '{}' +)
-
-# Fix use system-wide library
-post-install/$(libpkgname)::
-	perl -i -pe "s,require('\.\./lib/vows,require('vows,g" $(cdbs_curdestdir)/usr/bin/vows
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,NODE_PATH=lib find test -type f -name '*.js' -not -name failing.js -exec bin/vows '{}' +)
 
 # Hardcode upstream version in main library file
 verfile=lib/vows.js

=== debian/watch ===
version=3
http://githubredir.debian.net/github/cloudhead/vows .*?(\d[^/]*).tar.gz

## vows 0.6.3

=== debian/changelog ===
vows (0.6.3-2) unstable; urgency=low

  * Add patch 2001 to use /usr/bin/nodejs (not /usr/bin/env node), and
    tighten (build-)dependency on nodejs.
    See bug#614907.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Aug 2012 04:20:08 +0200

vows (0.6.3-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Directly use github.com (not via githubredir.debian.net).
  * Extend copyright coverage of packaging.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jun 2012 21:45:56 +0200

vows (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patch 1001.
  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:48:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- nodejs,
+ nodejs (>= 0.6.19~dfsg1-3~),
  node-eyes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://vowsjs.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/vows
-Vcs-Browser: http://git.debian.org/?p=collab-maint/vows.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vows.git
 
 Package: node-vows
 Architecture: all
 Depends:  ${misc:Depends},
  node-eyes,
- nodejs (>= 0.2.6)
+ nodejs (>= 0.6.19~dfsg1-3~)
 Recommends: coffeescript
 Conflicts: libnode-vows
 Replaces: libnode-vows

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Vows
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,10 +28,13 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/vows/
+DEB_UPSTREAM_URL = https://github.com/cloudhead/vows/tarball
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_DELIMITER =
+DEB_UPSTREAM_TARBALL_EXTENSION =
+DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 83b79d32fdba6ef88ce74c1c1d0c361e
+DEB_UPSTREAM_TARBALL_MD5 = d98fc7ce8efc41b86ccb9922f64d95e6
 
 DEB_INSTALL_DOCS_ALL += README.md

=== debian/watch ===
version=3
https://github.com/cloudhead/vows/tags .*/tarball/v?(\d[\d\.]+)

## vows 0.7.0

=== Makefile ===
#
# Run all tests
#
test: 
	@@bin/vows test/*

.PHONY: test install

=== debian/changelog ===
vows (0.7.0-2) unstable; urgency=low

  * Fix adjust patch 1001 path to wildcard utility.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 15:24:13 +0200

vows (0.7.0-1) unstable; urgency=low

  * New upstream release.

  * Update patch 1001.
  * Update copyright file:
    + Add Files section for a few files with new copyright holder (same
      license).
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Quote license in comment (pseudo-)field.
    + Refer to upstream issue tracker as main contact URL.
    + Add paragraphs for new Apache-2.0 licensed file.
  * Tidy dependency resolving:
    + Declare (build-)dependencies and recommendation in rules file, and
      drop obsolete conflict/replacement/provision of libnode-vows.
  * Update watch and rules files to use archive subdir at github.com.
  * Bump dephelper compatibility level to 8.
  * Build-depend on devscripts to always do copyright check.
  * Have git-import-orig suppress upstream .gitignore file.
  * Bump standards-version to 3.9.4.
  * Update package relations:
    + (Build-)depend on node-diff: Needed since 0.6.4.
    + Build-depend on node-request: Needed for upstream testsuite.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Temporarily revert patch during testsuite execution.
    Build-depend on patch.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Tidy rules file: Tighten package-specific CDBS variables.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Build-depend on patch.
  * Fix run testsuite only once.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 13:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  nodejs (>= 0.6.19~dfsg1-3~),
- node-eyes
-Standards-Version: 3.9.3
+ node-eyes,
+ node-diff (>= 1.0.3),
+ patch,
+ node-request
+Standards-Version: 3.9.4
 Homepage: http://vowsjs.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/vows
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/vows
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vows.git
 
 Package: node-vows
 Architecture: all
-Depends:  ${misc:Depends},
- node-eyes,
- nodejs (>= 0.6.19~dfsg1-3~)
-Recommends: coffeescript
-Conflicts: libnode-vows
-Replaces: libnode-vows
-Provides: libnode-vows
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Description: asynchronous BDD & continuous integration for Node
  Node is an event-based server-side JavaScript engine.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Vows
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-vows

# Needed by upstream build and (always) at runtime
deps = nodejs (>= 0.6.19~dfsg1-3~), node-eyes, node-diff (>= 1.0.3)

# Needed by our packaging
bdeps = patch

# Needed by upstream testsuite
deps-test = node-request

# Needed (often) at runtime
recommends = coffeescript

CDBS_BUILD_DEPENDS +=, $(deps), $(bdeps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(recommends)

DEB_UPSTREAM_URL = https://github.com/cloudhead/vows/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = 0af6ff98b317c02b98f4640f7bc0ed1c

DEB_INSTALL_DOCS_ALL += README.md

build/$(pkg):: $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,debian/stamp-testsuite)
debian/stamp-testsuite:
	cat debian/patches/1001_avoid_explicit_path.patch | patch -tuRp1
	NODE_PATH=lib find test -type f -name '*.js' -not -name failing.js -exec bin/vows '{}' +
	cat debian/patches/1001_avoid_explicit_path.patch | patch -tuNp1
	touch $@
clean::
	rm -f debian/stamp-testsuite

# Hardcode upstream version in main library file
verfile=lib/vows.js
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	mkdir -p debian/bak/$(dir $(verfile))
	[ ! -e $(verfile) ] || [ -e debian/bak/$(verfile) ] || cp $(verfile) debian/bak/$(verfile)
	perl -0 -i -pe 's/(\nvows\.version =)[^\n]*(\n {14}[^\n]*)+/$$1 "$(DEB_UPSTREAM_VERSION)"/' $(verfile)
	@if ! fgrep -xq 'vows.version = "$(DEB_UPSTREAM_VERSION)"' $(verfile); then \
		echo "Failed to hardcode version."; \
		exit 1; \
	fi
	touch $@
clean::
	[ ! -e debian/bak/$(verfile) ] || mv -f debian/bak/$(verfile) $(verfile)
	rm -rf debian/bak
	rm -f debian/stamp-upstreamtmpstuff

## vows 0.8.1

=== debian/changelog ===
vows (0.8.1-3) unstable; urgency=medium

  * Team upload
  * Drop patch for renaming to nodejs
  * Patch for nodejs 8 compatibility

 -- Jérémy Lal <kapouer@melix.org>  Thu, 04 Jan 2018 02:15:59 +0100

vows (0.8.1-2) unstable; urgency=medium

  * Fix install path.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2015 01:37:39 +0200

vows (0.8.1-1) unstable; urgency=low

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Stop track md5sum of upstream tarball.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Fix use canonical URL in Vcs-Git.
  * Declare compliance with Debian Policy 3.9.6.
  * Update package relations:
    + Relax to (build-)depend unversioned on nodejs: Needed version
      satisfied in all Debian suites where package exist at all.
    + Tighten (build-)dependency on node-diff.
    + (Bbuild-)depend on recent node-glob.
    + Relax to build-depend unversioned on node-diff and node-glob:
      Declared tight needs seem arbitrary.
  * Update copyright info: Extend coverage for myself.
  * Drop patch 1001 and other mangling during install, and instead
    install all code in subdirs referenced by package.json.
    Stop build-depend on patch.
    Thanks to Jérémy Lal (see bug#784439).
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Skip experimental part of testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 20:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  devscripts,
  debhelper,
  dh-buildinfo,
- nodejs (>= 0.6.19~dfsg1-3~),
+ nodejs,
  node-eyes,
- node-diff (>= 1.0.3),
- patch,
+ node-diff,
+ node-glob,
  node-request
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://vowsjs.org/
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/vows
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vows.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/vows
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vows.git
 
 Package: node-vows
 Architecture: all

=== debian/watch ===
version=3
https://github.com/cloudhead/vows/tags .*/archive/v?(\d[\d\.]+).tar.gz

## vows 0.8.3

=== debian/changelog ===
vows (0.8.3-8) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from node-diff and node-glob. Closes: #1116923.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Oct 2025 13:50:00 +0200

vows (0.8.3-7) unstable; urgency=medium

  * Team upload
  * patch: fix util calls that have been deprecated for a while

 -- Jérémy Lal <kapouer@melix.org>  Sat, 14 Dec 2024 15:43:08 +0100

vows (0.8.3-6) unstable; urgency=medium

  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>
  * Update standards version to 4.6.0, no changes needed
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 17:22:45 +0100

vows (0.8.3-5) unstable; urgency=medium

  [ lintian-brush ]
  * Update watch file format version to 4.

  [ Yadd ]
  * Declare compliance with policy 4.5.1

 -- Yadd <yadd@debian.org>  Thu, 11 Feb 2021 11:18:39 +0100

vows (0.8.3-4) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Remove deprecated eyes.js dependency, this affects only colored output
    (see #961507)
  * Add manpage using help2man

 -- Xavier Guimard <yadd@debian.org>  Sat, 07 Nov 2020 11:45:31 +0100

vows (0.8.3-3) unstable; urgency=medium

  * Call dh_fixperms during override (Closes: #961657)

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 May 2020 07:41:56 +0200

vows (0.8.3-2) unstable; urgency=medium

  * Fix bad link

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 May 2020 08:01:16 +0200

vows (0.8.3-1) unstable; urgency=medium

  * Update uploaders list
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add upstream/metadata
  * Update VCS fields to salsa
  * New upstream version 0.8.3 (Closes: #961506, #958684)
  * Update patches
  * Switch from cdbs to debhelper+pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 May 2020 15:56:33 +0200

=== debian/control ===
Source: vows
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , help2man
 , node-diff
 , node-glob
 , dh-sequence-nodejs
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/vows
Vcs-Git: https://salsa.debian.org/js-team/vows.git
Homepage: https://vowsjs.org/

Package: node-vows
Architecture: all
Depends: ${misc:Depends}
 , node-diff
 , node-glob
 , nodejs:any
Description: asynchronous BDD & continuous integration for Node
 Node is an event-based server-side JavaScript engine.
 .
 Vows is a behavior driven development (BDD) framework for Node.
 .
 Vows was built from the ground up to test asynchronous code.  It
 executes your tests in parallel when it makes sense, and sequentially
 when there are dependencies.
 .
 Emphasis was put on speed of execution, clarity and user experience.
 .
 This package contains the vows library for Node, and the script vows
 for running tests from the commandline.

=== debian/tests/control ===
Test-Command: vows --spec
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/cloudhead/vows/tags .*/archive/refs/tags/v?(\d[\d\.]+).tar.gz
